<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8"/>
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
  <title><%= extractTitle(htmlBody) %></title>
  <link rel="stylesheet" href="<%= baseUrl -%>.well-known/css/styles/main.css" type="text/css">
  <script type="text/javascript" src="<%= baseUrl -%>.well-known/css/scripts/util.js"></script>
</head>
<body>
  <header>
    <img src="<%= baseUrl -%>.well-known/css/images/oak-green.png" alt="[Egendata logo]" />
    <h1>Egendata Identity Server</h1>
  </header>
  <main>
    <%- htmlBody %>
  </main>
  <footer>
    <p>Egendata Identity Server based on <a href="https://github.com/CommunitySolidServer/CommunitySolidServer">CommunitySolidServer</a>
    </p>
  </footer>
</body>
</html>

<%
function extractTitle(body) {
  const match = /^<h1[^>]*>([^<]*)<\/h1>/u.exec(body);
  return match ? match[1] : 'Egendata Identity Server';
}
%>
